/***************************************************************************
                          convert.cpp  -  description
                             -------------------
    begin                : Tue Mar 19 2002
    copyright            : (C) 2001 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "convert.h"

#include <qpushbutton.h>
#include <qcombobox.h>
#include <qradiobutton.h>
#include <qstring.h>
#include <qlineedit.h>
#include <qlabel.h>

#include <kaction.h>
#include <kstdaction.h>
#include <kstddirs.h>
#include <klocale.h>

Convert::Convert( QWidget* parent,  const char* name, WFlags fl )
    : KMainWindow( parent, name, fl )
{
	setCaption("KConvert");
	convertui = new ConvertUI(this);
	convertui->show();
	setCentralWidget(convertui);
	SetupActions();
 	connect(convertui->btnContinue, SIGNAL(clicked()), this, SLOT(NextStep()));
	connect(convertui->PushButton4, SIGNAL(clicked()), kapp, SLOT(quit()));
	createGUI(locate("data", "kconvert/kconvertui.rc"));
}

void Convert::SetupActions()
{
	KStdAction::quit(kapp, SLOT(quit()), actionCollection());
}

Convert::~Convert()
{
}

void Convert::Back()
{
	convertmain->close();
	convertui = new ConvertUI(this);
	convertui->show();
	setCentralWidget(convertui);
	connect(convertui->btnContinue, SIGNAL(clicked()), this, SLOT(NextStep()));
	connect(convertui->PushButton4, SIGNAL(clicked()), kapp, SLOT(quit()));
}

void Convert::Back2()
{
	constants->close();
	convertui = new ConvertUI(this);
	convertui->show();
	setCentralWidget(convertui);
	connect(convertui->btnContinue, SIGNAL(clicked()), this, SLOT(NextStep()));
	connect(convertui->PushButton4, SIGNAL(clicked()), kapp, SLOT(quit()));
}

void Convert::NextStep()
{
	int type = 1;

	if (convertui->RadioButton1->isChecked()) type = 1;
	if (convertui->RadioButton2->isChecked()) type = 2;
	if (convertui->RadioButton3->isChecked()) type = 3;
	if (convertui->RadioButton4->isChecked()) type = 4;
	if (convertui->RadioButton5->isChecked()) type = 5;
	if (convertui->RadioButton6->isChecked()) type = 6;
	if (convertui->RadioButton7->isChecked()) type = 7;
	if (convertui->RadioButton8->isChecked()) type = 8;
	if (convertui->RadioButton9->isChecked()) type = 9;
	if (convertui->RadioButton10->isChecked()) type = 10;
	if (convertui->RadioButton11->isChecked()) type = 11;
	if (convertui->RadioButton12->isChecked()) type = 12;
	if (convertui->RadioButton13->isChecked())
	{
		convertui->close();
		constants = new ConstantsUI(this);
		constants->show();
		setCentralWidget(constants);
		connect(constants->btnBack, SIGNAL(clicked()), this, SLOT(Back2()));
		return;
	}

	convertui->close();
	convertmain = new ConvertMain(type, this);
	convertmain->show();
	setCentralWidget(convertmain);
	connect(convertmain->btnCalc, SIGNAL(clicked()), this, SLOT(Calculate()));
	connect(convertmain->btnBack, SIGNAL(clicked()), this, SLOT(Back()));
}

void Convert::Calculate()
{
	int To = 1;
	QString temp;

	if (convertmain->TypeFrom->currentText() == "m^2")
	{
		if (convertmain->TypeTo->currentText() == "m^2") To = 1;
		if (convertmain->TypeTo->currentText() == "km^2") To = 2;
		if (convertmain->TypeTo->currentText() == "mile^2") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->meters2(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "km^2")
	{
		if (convertmain->TypeTo->currentText() == "m^2") To = 1;
		if (convertmain->TypeTo->currentText() == "km^2") To = 2;
		if (convertmain->TypeTo->currentText() == "mile^2") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilometers2(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "mile^2")
	{
		if (convertmain->TypeTo->currentText() == "m^2") To = 1;
		if (convertmain->TypeTo->currentText() == "km^2") To = 2;
		if (convertmain->TypeTo->currentText() == "mile^2") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->miles2(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "bit")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->bit(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilobit")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilobit(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Megabit")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->megabit(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Gigabit")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->gigabit(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Byte")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->byte(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilobyte")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilobyte(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Megabyte")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->megabyte(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Gigabyte")
	{
		if (convertmain->TypeTo->currentText() == "bit") To = 1;
		if (convertmain->TypeTo->currentText() == "kilobit") To = 2;
		if (convertmain->TypeTo->currentText() == "Megabit") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigabit") To = 4;
		if (convertmain->TypeTo->currentText() == "Byte") To = 5;
		if (convertmain->TypeTo->currentText() == "kilobyte") To = 6;
		if (convertmain->TypeTo->currentText() == "Megabyte") To = 7;
		if (convertmain->TypeTo->currentText() == "Gigabyte") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->gigabyte(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "joules")
	{
		if (convertmain->TypeTo->currentText() == "joules") To = 1;
		if (convertmain->TypeTo->currentText() == "kilocalories") To = 2;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->joules(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilocalories")
	{
		if (convertmain->TypeTo->currentText() == "joules") To = 1;
		if (convertmain->TypeTo->currentText() == "kilocalories") To = 2;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilocalories(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "hertz")
	{
		if (convertmain->TypeTo->currentText() == "hertz") To = 1;
		if (convertmain->TypeTo->currentText() == "kilohertz") To = 2;
		if (convertmain->TypeTo->currentText() == "Megahertz") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigahertz") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->hertz(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilohertz")
	{
		if (convertmain->TypeTo->currentText() == "hertz") To = 1;
		if (convertmain->TypeTo->currentText() == "kilohertz") To = 2;
		if (convertmain->TypeTo->currentText() == "Megahertz") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigahertz") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilohertz(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Megahertz")
	{
		if (convertmain->TypeTo->currentText() == "hertz") To = 1;
		if (convertmain->TypeTo->currentText() == "kilohertz") To = 2;
		if (convertmain->TypeTo->currentText() == "Megahertz") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigahertz") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->megahertz(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Gigahertz")
	{
		if (convertmain->TypeTo->currentText() == "hertz") To = 1;
		if (convertmain->TypeTo->currentText() == "kilohertz") To = 2;
		if (convertmain->TypeTo->currentText() == "Megahertz") To = 3;
		if (convertmain->TypeTo->currentText() == "Gigahertz") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->gigahertz(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "millimeter")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->millimeters(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "centimeter")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->centimeters(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "meter")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->meters(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilometer")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilometers(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "inch")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->inches(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "foot")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->feet(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "yard")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->yards(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "mile")
	{
		if (convertmain->TypeTo->currentText() == "millimeter") To = 1;
		if (convertmain->TypeTo->currentText() == "centimeter") To = 2;
		if (convertmain->TypeTo->currentText() == "meter") To = 3;
		if (convertmain->TypeTo->currentText() == "kilometer") To = 4;
		if (convertmain->TypeTo->currentText() == "inch") To = 5;
		if (convertmain->TypeTo->currentText() == "foot") To = 6;
		if (convertmain->TypeTo->currentText() == "yard") To = 7;
		if (convertmain->TypeTo->currentText() == "mile") To = 8;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->miles(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "gram")
	{
		if (convertmain->TypeTo->currentText() == "gram") To = 1;
		if (convertmain->TypeTo->currentText() == "kilogram") To = 2;
		if (convertmain->TypeTo->currentText() == "ounce") To = 3;
		if (convertmain->TypeTo->currentText() == "pound") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->grams(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilogram")
	{
		if (convertmain->TypeTo->currentText() == "gram") To = 1;
		if (convertmain->TypeTo->currentText() == "kilogram") To = 2;
		if (convertmain->TypeTo->currentText() == "ounce") To = 3;
		if (convertmain->TypeTo->currentText() == "pound") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilograms(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "ounce")
	{
		if (convertmain->TypeTo->currentText() == "gram") To = 1;
		if (convertmain->TypeTo->currentText() == "kilogram") To = 2;
		if (convertmain->TypeTo->currentText() == "ounce") To = 3;
		if (convertmain->TypeTo->currentText() == "pound") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->ounces(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "pound")
	{
		if (convertmain->TypeTo->currentText() == "gram") To = 1;
		if (convertmain->TypeTo->currentText() == "kilogram") To = 2;
		if (convertmain->TypeTo->currentText() == "ounce") To = 3;
		if (convertmain->TypeTo->currentText() == "pound") To = 4;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->pounds(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "milliwatts")
	{
		if (convertmain->TypeTo->currentText() == "milliwatts") To = 1;
		if (convertmain->TypeTo->currentText() == "watts") To = 2;
		if (convertmain->TypeTo->currentText() == "kilowatts") To = 3;
		if (convertmain->TypeTo->currentText() == "Megawatts") To = 4;
		if (convertmain->TypeTo->currentText() == "horsepower") To = 5;
		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->milliwatts(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "watts")
	{
		if (convertmain->TypeTo->currentText() == "milliwatts") To = 1;
		if (convertmain->TypeTo->currentText() == "watts") To = 2;
		if (convertmain->TypeTo->currentText() == "kilowatts") To = 3;
		if (convertmain->TypeTo->currentText() == "Megawatts") To = 4;
		if (convertmain->TypeTo->currentText() == "horsepower") To = 5;
		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->watts(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilowatts")
	{
		if (convertmain->TypeTo->currentText() == "milliwatts") To = 1;
		if (convertmain->TypeTo->currentText() == "watts") To = 2;
		if (convertmain->TypeTo->currentText() == "kilowatts") To = 3;
		if (convertmain->TypeTo->currentText() == "Megawatts") To = 4;
		if (convertmain->TypeTo->currentText() == "horsepower") To = 5;
		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilowatts(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "Megawatts")
	{
		if (convertmain->TypeTo->currentText() == "milliwatts") To = 1;
		if (convertmain->TypeTo->currentText() == "watts") To = 2;
		if (convertmain->TypeTo->currentText() == "kilowatts") To = 3;
		if (convertmain->TypeTo->currentText() == "Megawatts") To = 4;
		if (convertmain->TypeTo->currentText() == "horsepower") To = 5;
		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->megawatts(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "horsepower")
	{
		if (convertmain->TypeTo->currentText() == "milliwatts") To = 1;
		if (convertmain->TypeTo->currentText() == "watts") To = 2;
		if (convertmain->TypeTo->currentText() == "kilowatts") To = 3;
		if (convertmain->TypeTo->currentText() == "Megawatts") To = 4;
		if (convertmain->TypeTo->currentText() == "horsepower") To = 5;
		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->horsepower(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "meters/second")
	{
		if (convertmain->TypeTo->currentText() == "meters/second") To = 1;
		if (convertmain->TypeTo->currentText() == "kilometers/second") To = 2;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->metersps(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kilometers/second")
	{
		if (convertmain->TypeTo->currentText() == "meters/second") To = 1;
		if (convertmain->TypeTo->currentText() == "kilometers/second") To = 2;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilometersps(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "fahrenheit")
	{
		if (convertmain->TypeTo->currentText() == "fahrenheit") To = 1;
		if (convertmain->TypeTo->currentText() == "celcius") To = 2;
		if (convertmain->TypeTo->currentText() == "kelvin") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->fahrenheit(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "celcius")
	{
		if (convertmain->TypeTo->currentText() == "fahrenheit") To = 1;
		if (convertmain->TypeTo->currentText() == "celcius") To = 2;
		if (convertmain->TypeTo->currentText() == "kelvin") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->celcius(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "kelvin")
	{
		if (convertmain->TypeTo->currentText() == "fahrenheit") To = 1;
		if (convertmain->TypeTo->currentText() == "celcius") To = 2;
		if (convertmain->TypeTo->currentText() == "kelvin") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kelvin(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "seconds")
	{
		if (convertmain->TypeTo->currentText() == "seconds") To = 1;
		if (convertmain->TypeTo->currentText() == "minutes") To = 2;
		if (convertmain->TypeTo->currentText() == "hours") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->seconds(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "minutes")
	{
		if (convertmain->TypeTo->currentText() == "seconds") To = 1;
		if (convertmain->TypeTo->currentText() == "minutes") To = 2;
		if (convertmain->TypeTo->currentText() == "hours") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->minutes(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "hours")
	{
		if (convertmain->TypeTo->currentText() == "seconds") To = 1;
		if (convertmain->TypeTo->currentText() == "minutes") To = 2;
		if (convertmain->TypeTo->currentText() == "hours") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->hours(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "m^3")
	{
		if (convertmain->TypeTo->currentText() == "m^3") To = 1;
		if (convertmain->TypeTo->currentText() == "km^3") To = 2;
		if (convertmain->TypeTo->currentText() == "mile^3") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->meters3(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "km^3")
	{
		if (convertmain->TypeTo->currentText() == "m^3") To = 1;
		if (convertmain->TypeTo->currentText() == "km^3") To = 2;
		if (convertmain->TypeTo->currentText() == "mile^3") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->kilometers3(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "miles^3")
	{
		if (convertmain->TypeTo->currentText() == "m^3") To = 1;
		if (convertmain->TypeTo->currentText() == "km^3") To = 2;
		if (convertmain->TypeTo->currentText() == "mile^3") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->miles3(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "GBP")
	{
		if (convertmain->TypeTo->currentText() == "GBP") To = 1;
		if (convertmain->TypeTo->currentText() == "USD") To = 2;
		if (convertmain->TypeTo->currentText() == "EUR") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->gbp(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "USD")
	{
		if (convertmain->TypeTo->currentText() == "GBP") To = 1;
		if (convertmain->TypeTo->currentText() == "USD") To = 2;
		if (convertmain->TypeTo->currentText() == "EUR") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->usd(To, temp.toDouble())));
	}
	if (convertmain->TypeFrom->currentText() == "EUR")
	{
		if (convertmain->TypeTo->currentText() == "GBP") To = 1;
		if (convertmain->TypeTo->currentText() == "USD") To = 2;
		if (convertmain->TypeTo->currentText() == "EUR") To = 3;

		temp = convertmain->ConvertInput->text();
		convertsys = new ConvertSys;
		convertmain->lblAnswer->setNum(double(convertsys->eur(To, temp.toDouble())));
	}
}
