/***************************************************************************
                          convertsys.cpp  -  description
                             -------------------
    begin                : Tue Mar 26 2002
    copyright            : (C) 2001 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software { } you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation { } either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "convertsys.h"

// AREA
double ConvertSys::meters2(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (1000.0 * 1000.0) * (0.6213712 * 0.6213712);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilometers2(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * (0.6213712 * 0.6213712);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::miles2(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1.609344 * 1.609344) * (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (1.609344 * 1.609344);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::gbp(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 1.426;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 1.636;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::usd(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 0.701;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 1.148;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::eur(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 0.61115;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 0.8714;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::bit(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 1024.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value / 8.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value / (1024.0 * 8.0);
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value / (1024.0 * 1024.0 * 8.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / (1024.0 * 1024.0 * 1024.0 * 8.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilobit(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 1024.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (1024.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 1024.0 / 8.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 1024.0  / (8.0 * 1024.0);
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 1024.0  / (8.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value * 1024.0  / (8.0 * 1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::megabit(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 1024.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / 1024.0;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 1024.0 * 1024.0 / 8.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 1024.0 * 1024.0 / (8.0 * 1024.0);
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 1024.0 * 1024.0  / (8.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value * 1024.0 * 1024.0  / (8.0 * 1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::gigabit(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 1024.0;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 1024.0 * 1024.0 * 1024.0 / 8.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 1024.0 * 1024.0 * 1024.0 / (8.0 * 1024.0);
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 1024.0 * 1024.0 * 1024.0 / (8.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value * 1024.0 * 1024.0 * 1024.0  / (8.0 * 1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::byte(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 8.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 8.0 / 1024.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 8.0 / (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value * 8.0 / (1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value / 1024.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value / (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / (1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilobyte(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (8.0 * 1024.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (8.0 * 1024.0) / 1024.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * (8.0 * 1024.0) / (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value * (8.0 * 1024.0) / (1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 1024.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value / (1024.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / (1024.0 * 1024.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::megabyte(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0) / 1024.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0) / (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0) / (1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 1024.0 * 1024.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 1024.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / (1024.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::gigabyte(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0 * 1024.0) / 1024.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0 * 1024.0) / (1024.0 * 1024.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value * (8.0 * 1024.0 * 1024.0 * 1024.0) / (1024.0 * 1024.0 * 1024.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 1024.0 * 1024.0 * 1024.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 1024.0 * 1024.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 1024.0;
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::joules(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 0.2388;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilocalories(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 4.187;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::hertz(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (1000.0 * 1000.0 * 1000.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilohertz(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / 1000.0;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (1000.0 * 1000.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::megahertz(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / 1000.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::gigahertz(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1000.0 * 1000.0 * 1000.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::millimeters(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / (10.0);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (10.0 * 100.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (10.0 * 100.0 * 1000.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value / (10.0) * 0.3937008;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value / 10.0 * 0.3937008 / 12.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value / 10.0 * 0.3937008 / (12.0 * 3.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / 10.0 * 0.3937008 / (12.0 * 3.0 * 1760.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::centimeters(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 10.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (100.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (100.0 * 1000.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 0.3937008;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 0.3937008 / 12.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 0.3937008 / (12.0 * 3.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value * 0.3937008 / (12.0 * 3.0 * 1760.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::meters(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 10.0 * 100.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 100.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (1000.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 100.0 * 0.3937008;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 100.0 * 0.3937008 / 12.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 100.0 * 0.3937008 / (12.0 * 3.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value * 100.0 * 0.3937008 / (12.0 * 3.0 * 1760.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilometers(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 10.0 * 100.0 * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 100.0 * 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 100.0 * 1000.0 * 0.3937008;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 100.0 * 1000.0 * 0.3937008 / 12.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 100.0 * 1000.0 * 0.3937008 / (12.0 * 3.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value * 100.0 * 1000.0 * 0.3937008 / (12.0 * 3.0 * 1760.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::inches(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 10.0 / 0.3937008;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 0.3937008;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / 100.0 / 0.3937008;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / 100.0 / 1000.0 / 0.3937008;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value / 12.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value / (12.0 * 3.0);
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / (12.0 * 3.0 * 1760.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::feet(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 10.0  * 12.0 / 0.3937008;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value  * 12.0 / 0.3937008;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value  * 12.0 / 100.0 / 0.3937008;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value  * 12.0 / 100.0 / 1000.0 / 0.3937008;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 12.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value / 3.0;
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / (3.0 * 1760.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::yards(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 10.0  * 12.0 * 3.0 / 0.3937008;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value  * 12.0 * 3.0 / 0.3937008;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value  * 12.0 * 3.0 / 100.0 / 0.3937008;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value  * 12.0 * 3.0 / 100.0 / 1000.0 / 0.3937008;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 12.0 * 3.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 3.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value / 1760.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::miles(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 10.0  * 12.0 * 3.0 * 1760.0 / 0.3937008;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value  * 12.0 * 3.0 * 1760.0 / 0.3937008;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value  * 12.0 * 3.0 * 1760.0 / 100.0 / 0.3937008;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value  * 12.0 * 3.0 * 1760.0 / 100.0 / 1000.0 / 0.3937008;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value * 12.0 * 3.0 * 1760.0;
		return newValue;
	}
	if (To == 6)
	{
		newValue = Value * 3.0 * 1760.0;
		return newValue;
	}
	if (To == 7)
	{
		newValue = Value * 1760.0;
		return newValue;
	}
	if (To == 8)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::grams(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 0.03527396;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value * 0.03527396 / 16.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilograms(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 1000.0 * 0.03527396;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value * 1000.0 * 0.03527396 / 16.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::ounces(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value / 0.03527396;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 0.03527396 / 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / 16.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::pounds(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 16.0 / 0.03527396;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 16.0 / 0.03527396 / 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 16.0;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::milliwatts(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (1000.0 * 1000.0 * 1000.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value / (1000.0 * 745.7);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::watts(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (1000.0);
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / (1000.0 * 1000.0);
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value / (745.7);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilowatts(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 1000.0 * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value / 1000.0;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value / (745.7) * 1000.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::megawatts(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 1000.0 * 1000.0 * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 1000.0 * 1000.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value / (745.7) * 1000.0 * 1000.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::horsepower(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (745.7) * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (745.7);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * (745.7) / 1000.0;
		return newValue;
	}
	if (To == 4)
	{
		newValue = Value * (745.7) / 1000.0 / 1000.0;
		return newValue;
	}
	if (To == 5)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::metersps(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 1000.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilometersps(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * 1000.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::fahrenheit(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = (5.0/9.0) * (Value - 32.0);
		return newValue;
	}
	if (To == 3)
	{
		newValue = ((5.0/9.0) * (Value - 32.0)) + 273.15;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::celcius(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = (9.0/5.0) * Value + 32.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value + 273.15;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kelvin(int To, double Value) 
{ 
	double newValue;
	if (To == 1)
	{
		newValue = (9.0/5.0) * (Value - 273.15) + 32.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value - 273.15;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::seconds(int To, double Value) 
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / 60.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (60.0 * 60.0);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::minutes(int To, double Value)
{ 
	double newValue;
	if (To == 1)
	{
		newValue = Value * 60.0;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / 60.0;
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::hours(int To, double Value) 
{ 
	double newValue;
	if (To == 1)
	{
		newValue = Value * (60.0 * 60.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * 60.0;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}

double ConvertSys::meters3(int To, double Value) 
{
	double newValue;
	if (To == 1)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value / (1000.0 * 1000.0 * 1000.0);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value / (1000.0 * 1000.0 * 1000.0) * (0.6213712 * 0.6213712 * 0.6213712);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::kilometers3(int To, double Value) 
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1000.0 * 1000.0 * 1000.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value;
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value * (0.6213712 * 0.6213712 * 0.6213712);
		return newValue;
	}
	else
		return 0;
}
double ConvertSys::miles3(int To, double Value)
{
	double newValue;
	if (To == 1)
	{
		newValue = Value * (1.609344 * 1.609344 * 1.609344) * (1000.0 * 1000.0 * 1000.0);
		return newValue;
	}
	if (To == 2)
	{
		newValue = Value * (1.609344 * 1.609344 * 1.609344);
		return newValue;
	}
	if (To == 3)
	{
		newValue = Value;
		return newValue;
	}
	else
		return 0;
}
