/***************************************************************************
                          convertsys.h  -  description
                             -------------------
    begin                : Tue Mar 26 2002
    copyright            : (C) 2001 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONVERTSYS_H
#define CONVERTSYS_H

class ConvertSys
{
public:
	double meters2(int To, double Value);
	double kilometers2(int To, double Value);
	double miles2(int To, double Value);

	double gbp(int To, double Value);
	double usd(int To, double Value);
	double eur(int To, double Value);
	
	double bit(int To, double Value);
	double kilobit(int To, double Value);
	double megabit(int To, double Value);
	double gigabit(int To, double Value);
	double byte(int To, double Value);
	double kilobyte(int To, double Value);
	double megabyte(int To, double Value);
	double gigabyte(int To, double Value);

	double joules(int To, double Value);
	double kilocalories(int To, double Value);

	double hertz(int To, double Value);
	double kilohertz(int To, double Value);
	double megahertz(int To, double Value);
	double gigahertz(int To, double Value);

	double millimeters(int To, double Value);
	double centimeters(int To, double Value);
	double meters(int To, double Value);
	double kilometers(int To, double Value);
	double inches(int To, double Value);
	double feet(int To, double Value);
	double yards(int To, double Value);
	double miles(int To, double Value);

	double grams(int To, double Value);
	double kilograms(int To, double Value);
	double ounces(int To, double Value);
	double pounds(int To, double Value);

	double milliwatts(int To, double Value);
	double watts(int To, double Value);
	double kilowatts(int To, double Value);
	double megawatts(int To, double Value);
	double horsepower(int To, double Value);

	double metersps(int To, double Value);
	double kilometersps(int To, double Value);

	double fahrenheit(int To, double Value);
	double celcius(int To, double Value);
	double kelvin(int To, double Value);

	double seconds(int To, double Value);
	double minutes(int To, double Value);
	double hours(int To, double Value);

	double meters3(int To, double Value);
	double kilometers3(int To, double Value);
	double miles3(int To, double Value);
};

#endif // CONVERTSYS_H
